#
# (c) Copyright 2024 Swiss Post Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
## Hereafter you can override any property of the Swiss Post Verifier backend.

direct.trust.keystore.location=./direct-trust/public_keys_keystore_verifier.p12
direct.trust.keystore.password.location=./direct-trust/public_keys_keystore_verifier_pw.txt

# Defines the password used for the decryption of the verifiable dataset. Default is empty. Must be set and respect the following:
# - the size of the password is equal to or greater than 24.
# - the size of the password is equal to or smaller than 64.
# - the password contains at least one upper case letter.
# - the password contains at least one lower case letter.
# - the password contains at least one special character.
# - the password contains at least one digit.
import.zip.decryption.password=
# Location where to save the unzipped, unencrypted dataset. Default is the location of the "java.io.tmpdir" property. If set, must respect the following:
# - use \\ as path delimiters (ex. C:\\temp).
# - the directory must exist.
#dataset.unzip.location=